Package org.codehaus.groovy.reflection

# Class CachedConstructor

java.lang.Object
org.codehaus.groovy.reflection.ParameterTypes
org.codehaus.groovy.reflection.CachedConstructor

    public class CachedConstructor
    extends ParameterTypes

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.reflection.ParameterTypes

  `isVargsMethod, nativeParamTypes, parameterTypes`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `CachedConstructor​(Constructor c)` |
  `CachedConstructor​(CachedClass clazz, Constructor c)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `Object` | `doConstructorInvoke​(Object[] argumentArray)` |
  `static CachedConstructor` | `find​(Constructor constructor)` |
  `CachedClass` | `getCachedClass()` |
  `Constructor` | `getCachedConstructor()` |
  `Class` | `getDeclaringClass()` |
  `int` | `getModifiers()` |
  `protected Class[]` | `getPT()` |
  `Object` | `invoke​(Object[] argumentArray)` |
  `String` | `toString()` |

  ### Methods inherited from class org.codehaus.groovy.reflection.ParameterTypes

  `coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CachedConstructor

    public CachedConstructor​(CachedClass clazz, Constructor c)

  - ### CachedConstructor

    public CachedConstructor​(Constructor c)

- ## Method Details

  - ### getPT

    protected Class[] getPT()
    Overrides:
      `getPT` in class `ParameterTypes`

  - ### find

    public static CachedConstructor find​(Constructor constructor)

  - ### doConstructorInvoke

    public Object doConstructorInvoke​(Object[] argumentArray)

  - ### invoke

    public Object invoke​(Object[] argumentArray)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getModifiers

    public int getModifiers()

  - ### getCachedClass

    public CachedClass getCachedClass()

  - ### getDeclaringClass

    public Class getDeclaringClass()

  - ### getCachedConstructor

    public Constructor getCachedConstructor()